var Util = function() {
    var STATIC_DESC = "刚才";

    function escapeHTML(html) {
        return html.replace(/&/g, '&amp;')
                .replace(/>/g, '&gt;')
                .replace(/</g, '&lt;')
                .replace(/"/g, '&quot;');
    }

    function unescapeHTML(html) {
        return html.replace(/&gt/g, '>')
                .replace(/&lt;/g, '<')
                .replace(/&quot;/g, '"')
                .replace(/&amp;/g, '&');
    }

    function formatComment(comment) {
        return escapeHTML(comment).replace(/((http|https|ftp|mailto):[^\u4e00-\u9fa5 | ]+)/gi, "<a href='$1' >$1</a>")
                .replace(/(@([^@：: ]+)[：: ]?)/gi, "<a href='javascript:void(0);' link-type='action' link-data='$2'>$1</a>");
    }

    function formatTime(time) {
        if (STATIC_DESC.indexOf(time) > -1) {
            return time;
        }

        var formatSplit = time.split(":"),
            seconds = formatSplit[0],
            millSeconds = formatSplit[1].substr(0, 3);

        var msLen = millSeconds.length;
        if (msLen < 3) {
            for (var i = 0, len = 3 - msLen; i < len; i++) {
                millSeconds += "0";
            }
        }

        time = parseInt(seconds + millSeconds);
        var now = new Date().getTime();

        var ONE_MINUTE = 60,
            ONE_HOUR = 60 * ONE_MINUTE,
            ONE_DAY = 24 * ONE_HOUR,
            ONE_WEEK = 7 * ONE_DAY;

        var displayTime = (now - time) / 1000;
        var timeDesc = ""
        if (displayTime < ONE_MINUTE) {
            timeDesc = Math.floor(displayTime) + "秒";
        } else if (displayTime < ONE_HOUR) {
            timeDesc = Math.floor(displayTime / ONE_MINUTE) + "分钟";
        } else if (displayTime < ONE_DAY) {
            timeDesc = Math.floor(displayTime / ONE_HOUR) + "小时";
        } else if (displayTime < ONE_WEEK) {
            timeDesc = Math.floor(displayTime / ONE_DAY) + "天";
        } else {
            var date = new Date(time);
            return date.getFullYear() + " - " + (date.getMonth() + 1) + " - " + date.getDate();
        }
        return timeDesc += "前";
    }

    return {
        formatComment: formatComment,

        formatTime: formatTime
    };
}();